<template>
  <div class="chart" style="height:200px;width:100%;" />
</template>

<script>
import * as echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme
import resize from './mixins/resize'
import { getTodayPeopleRange, getMonthPeopleRange } from '@/api/home'

const animationDuration = 6000

export default {
  mixins: [resize],
  // props: {
  //   className: {
  //     type: String,
  //     default: 'chart'
  //   },
  //   width: {
  //     type: String,
  //     default: '100%'
  //   },
  //   height: {
  //     type: String,
  //     default: '300px'
  //   }
  // },
  data() {
    return {
      chart: null,
    }
  },
  mounted() {
    this.$nextTick(() => {
      getTodayPeopleRange().then((resp) => {
        this.initChart(resp.data)
      })
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    initChart(item) {
      this.chart = echarts.init(this.$el, 'macarons')

      this.chart.setOption({
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            // 坐标轴指示器，坐标轴触发有效
            type: 'shadow', // 默认为直线，可选为：'line' | 'shadow'
          },
        },
        grid: {
          top: 10,
          left: '2%',
          right: '2%',
          bottom: '3%',
          containLabel: true,
        },
        legend: {
          data: ['人数'],
        },
        xAxis: [
          {
            type: 'category',
            data: item.people,
            // axisTick: {
            //   alignWithLabel: true
            // }
          },
        ],
        yAxis: [
          {
            type: 'value',
            // axisTick: {
            //   show: false
            // }
          },
        ],
        series: [
          {
            name: '成交学员数',
            type: 'bar',
            // stack: 'vistors',
            barWidth: 40,
            data: item.data,
            // animationDuration
          },
        ],
      })
    },
  },
}
</script>